import request from "@/utils/request";

// 查看所有后勤报修信息
export function listRepairs(query) {
  return request({
    url: "/repairs/listAll",
    method: "get",
    params: query,
  });
}

// 查询报修信息详情
export function getRepairs(id) {
  return request({
    url: "/repairs/" + id,
    method: "get",
  });
}

//反馈结果接口
export function submitRepairs(data) {
  return request({
    url: "/repairs",
    method: "put",
    data: data,
  });
}
//派单接口
export function dispatchRepairs(data) {
  return request({
    url: "/repairs",
    method: "put",
    data: data,
  });
}
